<template>
    <div class="white-block">
        <div class="padding" @click="showHowIstWork">
            <h3>
                Как это работает
                <img style="float: right; margin-top: -5px;" src="static/img/head/content/tooltip.png">
            </h3>
        </div>
        <hr/>
        <transition name="fade" >
            <div class="padding" v-if="isShowHowIstWork">

                <p>
                    Предположим, у Иванова Ивана Ивановича общая сумма просроченной задолженности – 8000 рублей.
                </p>

                <div class="white-block">
                    <div class="padding" @click="setDisplayBlock(1)" ref="block1">
                        <h3>Ситуация 1 <img src="/lk/static/img/pos/arrow.png" alt=""
                                            :class="{expand: displayBlock === 1}" class="faq-arrow"></h3>
                    </div>
                    <hr/>
                    <transition name="fade" @after-enter="focus(1)">
                        <div class="padding" v-show="displayBlock === 1">

                            <p>Иван Иванович решил принять участие в акции «В Новый год без долгов», в период с 3 по 28
                                декабря 2018 г. подписал Дополнительное соглашение и сразу внес половину от суммы долга,
                                то
                                есть 4000 рублей.</p>
                            <p>Эти 4000 рублей мы автоматически умножили на 2, и долг Ивана Ивановича был полностью
                                погашен.</p>
                            <p>Так он сэкономил 4000 рублей и встретил Новый год без долгов перед Webbankir.</p>

                        </div>
                    </transition>
                </div>

                <div class="white-block">
                    <div class="padding" @click="setDisplayBlock(2)" ref="block2">
                        <h3>Ситуация 2 <img src="/lk/static/img/pos/arrow.png" alt=""
                                            :class="{expand: displayBlock === 2}" class="faq-arrow"></h3>
                    </div>
                    <hr/>
                    <transition name="fade" @after-enter="focus(2)">
                        <div class="padding" v-show="displayBlock === 2">

                            <p>Иван Иванович решил принять участие в акции «В Новый год без долгов», в период с 3 по 28
                                декабря 2018 г. подписал Дополнительное соглашение и внес 10% от суммы долга, то есть
                                800
                                рублей. Эти 800 рублей мы автоматически умножили на 2, и его долг уменьшился уже не на
                                800
                                рублей, а на 1600. Для полного погашения Ивану Ивановичу оставалось оплатить 6400
                                рублей.
                                Проценты и пени Ивану Ивановичу больше не начислялись.</p>
                            <p>1 января 2019 года Webbankir подготовил для Ивана Ивановича график рассрочки платежей на
                                4
                                месяца, при котором Иван Иванович должен будет вносить оплату один раз в месяц по 1600
                                рублей.</p>
                            <p>Первый платеж Иван Иванович внес 30 января 2019 года, а в конце апреля этого же года он
                                полностью расплатился с Webbankir и закрыл свой долг, сэкономив даже более, чем 1600
                                рублей,
                                так как ему не начислялись проценты и пени с момента подписания Дополнительного
                                соглашения и
                                оплаты 10% от общей суммы задолженности в размере 8000 рублей.</p>

                        </div>
                    </transition>
                </div>

                <div class="white-block">
                    <div class="padding" @click="setDisplayBlock(3)" ref="block3">
                        <h3>Ситуация 3 <img src="/lk/static/img/pos/arrow.png" alt=""
                                            :class="{expand: displayBlock === 3}" class="faq-arrow"></h3>
                    </div>
                    <hr/>
                    <transition name="fade" @after-enter="focus(3)">
                        <div class="padding" v-show="displayBlock === 3">

                            <p>Иван Иванович решил принять участие в акции «В Новый год без долгов», в период с 3 по 28
                                декабря 2018 г. подписал Дополнительное соглашение и внес 10% от суммы долга, то есть
                                800
                                рублей. Эти 800 рублей мы автоматически умножили на 2, и долг уменьшился уже не на 800
                                рублей, а на 1600. Для полного погашения Ивану Ивановичу оставалось оплатить 6400
                                рублей.
                                Проценты и пени Ивану Ивановичу больше не начислялись.</p>
                            <p>Через неделю Иван Иванович внес уже 2000 рублей, а его долг при этом уменьшился на 4000.
                                К
                                оплате оставалось всего 2400 рублей. Их он решил оплатить, воспользовавшись рассрочкой
                                платежа с 1 января 2019 года.</p>

                        </div>
                    </transition>
                </div>


                <!--<div class="q-b-gray">-->
                <!--<div class="question">-->
                <!--Ситуация 1-->
                <!--<img src="img/forgiveness/arrow.png" alt="" class="faq-arrow arrow-rotate">-->
                <!--</div>-->
                <!--<div class="answer" style="display: block;">-->
                <!--<p>Иван Иванович решил принять участие в акции «В Новый год без долгов», в период с 3 по 28 декабря 2018 г. подписал Дополнительное соглашение и сразу внес половину от суммы долга, то есть 4000 рублей.</p>-->
                <!--<p>Эти 4000 рублей мы автоматически умножили на 2, и долг Ивана Ивановича был полностью погашен.</p>-->
                <!--<p>Так он сэкономил 4000 рублей и встретил Новый год без долгов перед Webbankir.</p>-->
                <!--</div>-->
                <!--</div>-->


            </div>
        </transition>
    </div>
</template>

<script>

    export default {
        name: 'HowItsWork',

        mixins: [

        ],

        components: {

        },

        data() {
            return {
                isShowHowIstWork: false,
                displayBlock: null,
            }
        },

        computed: {

        },

        methods: {
            setDisplayBlock(id) {
              if (this.displayBlock === id) {
                this.displayBlock = null;
              } else {
                this.displayBlock = id;
              }
            },
            showHowIstWork () {
                this.isShowHowIstWork = !this.isShowHowIstWork
            },

          focus (id) {
            if (this.$interface.breakPoint === 'xs') {
                setTimeout(() => {
                  this.$helpers.scroll(this.$refs[`block${id}`]);

                }, 250);

            }
          }
        },



    }
</script>


<style scoped lang="scss">
    img.faq-arrow {
        float:right;
        margin-top: 5px;
    }
    .white-block > .padding > h3 {
        cursor: pointer;
    }
</style>
